APG PayAPG Paydocs

Identity

OIDC discovery

GET/oidc/.well-known/openid-configuration
Request
GEThttps://api.tst.au.apgpay.dev/oidc/.well-known/openid-configuration
curl -X GET https://api.tst.au.apgpay.dev/oidc/.well-known/openid-configuration \
  -H "Authorization: Bearer $API_KEY"

OpenID Connect discovery document advertising this provider's endpoints and capabilities.

Responses

issuerstringrequired
authorization_endpointstringrequired
token_endpointstringrequired
userinfo_endpointstringrequired
jwks_uristringrequired
response_types_supportedarray of string
subject_types_supportedarray of string
id_token_signing_alg_values_supportedarray of string
grant_types_supportedarray of string
scopes_supportedarray of string
claims_supportedarray of string
Example response
{
  "issuer": "string",
  "authorization_endpoint": "string",
  "token_endpoint": "string",
  "userinfo_endpoint": "string",
  "jwks_uri": "string",
  "response_types_supported": [
    "string"
  ],
  "subject_types_supported": [
    "string"
  ],
  "id_token_signing_alg_values_supported": [
    "string"
  ],
  "grant_types_supported": [
    "string"
  ],
  "scopes_supported": [
    "string"
  ],
  "claims_supported": [
    "string"
  ]
}

Error responses